/*
 * Lars
 * TemperedWeaves clan and warzone system
 *
 * May 2001
 */

#define NUM_CLANS	4

void build_clan_index(void);

struct clan_info {
   char *title;
   int colour;
   char *description;
   char *old_description;
   int clangold;
   int number;
   int clantotrank;
   int own_castle;
   int status;
   int nummembers;
};

#define PLAYERCLAN(ch)		((ch)->player_specials->saved.clannum)
#define PLAYERCLANNUM(ch)	(cross_reference[(ch)->player_specials->saved.clannum])

#define	CLANNUM(clan)		((clan).number)
#define	CLANNAME(clan)		((clan).title)
#define CLANGOLD(clan)		((clan).clangold)
#define CLANDESC(clan)		((clan).description)
#define CLANCOLOUR(num)	        (clan_colour[clan_index[(num)].colour].colour_string)
#define CLANCOLOR(num)		(clan_index[(num)].colour)
#define CLANOWNCASTLE(clan)	((clan).own_castle)
#define CLANRANK(ch)		((ch)->player_specials->saved.clanrank)
#define CLANTOTRANK(clan)	((clan).clantotrank)
#define CLANPLAYERS(clan)       ((clan).nummembers)

